- NAME
- SYNOPSIS
- FUNCTION DESCRIPTIONS

- CloneImageAttributes
- DestroyImageAttributes
- GetImageAttribute
- GetImageClippingPathAttribute
- SetImageAttribute

# NAME

attribute - Access key,value image attributes

# SYNOPSIS

MagickPassFail CloneImageAttributes( Image *clone_image, const Image *original_image );

DestroyImageAttributes( Image *image );

const ImageAttribute * GetImageAttribute( const Image *image, const char *key );

const ImageAttribute * GetImageClippingPathAttribute( const Image *image );

unsigned int SetImageAttribute( Image *image, const char *key, const char *value );

# FUNCTION DESCRIPTIONS

## CloneImageAttributes

> CloneImageAttributes() copies the text attibutes from one image to another. Any text attributes in the destination image are preserved. CloneImageAttributes returns MagickPass if all of the attribututes are successfully cloned or MagickFail if there is a memory allocation error.

The format of the CloneImageAttributes method is:

> MagickPassFail CloneImageAttributes ( Image *clone_image, const Image *original_image );

A description of each parameter follows:

clone_image:

  The destination image.

original_image:

  The source image.

## DestroyImageAttributes

> DestroyImageAttributes() deallocates memory associated with the image attribute list.

The format of the DestroyImageAttributes method is:

> DestroyImageAttributes ( Image *image );

A description of each parameter follows:

image:

  The image.

## GetImageAttribute

> GetImageAttribute() searches the list of image attributes and returns a pointer to the attribute if it exists otherwise NULL.

The format of the GetImageAttribute method is:

> const ImageAttribute *GetImageAttribute ( const Image *image, const char *key );

A description of each parameter follows:

image:

  The image.

key:

  These character strings are the name of an image attribute to return.

## GetImageClippingPathAttribute

Method GetImageClippingPathAttribute searches the list of image attributes and returns a pointer to a clipping path if it exists otherwise NULL.

The format of the GetImageClippingPathAttribute method is:

> const ImageAttribute *GetImageClippingPathAttribute ( const Image *image );

A description of each parameter follows:

attribute:

  Method GetImageClippingPathAttribute returns the clipping path if it exists otherwise NULL.

image:

  The image.

## SetImageAttribute

> SetImageAttribute() searches the list of image attributes and replaces the attribute value. If it is not found in the list, the attribute name and value is added to the list. If the attribute exists in the list, the value is concatenated to the attribute. SetImageAttribute returns True if the attribute is successfully concatenated or added to the list, otherwise False. If the value is NULL, the matching key is deleted from the list.

The format of the SetImageAttribute method is:

> unsigned int SetImageAttribute ( Image *image, const char *key, const char *value );

A description of each parameter follows:

image:

  The image.

key,value:

  These character strings are the name and value of an image attribute to replace or add to the list.